org.eclnt.jsfserver.elements.componentnodes

## Class BOXNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.BOXNode

- All Implemented Interfaces:
    java.io.Serializable

      public class BOXNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BOXNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BOXNode` | `bindActionListener(IActionListenerDelegation value)`
    `BOXNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `BOXNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `BOXNode` | `bindBackground(IDynamicContentBindingObject value)`
    `BOXNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `BOXNode` | `bindBorder(IDynamicContentBindingObject value)`
    `BOXNode` | `bindCascaderenderedfalse(IDynamicContentBindingObject value)`
    `BOXNode` | `bindClientname(IDynamicContentBindingObject value)`
    `BOXNode` | `bindColspan(IDynamicContentBindingObject value)`
    `BOXNode` | `bindComment(IDynamicContentBindingObject value)`
    `BOXNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `BOXNode` | `bindCutheight(IDynamicContentBindingObject value)`
    `BOXNode` | `bindCutwidth(IDynamicContentBindingObject value)`
    `BOXNode` | `bindDragroundtrip(IDynamicContentBindingObject value)`
    `BOXNode` | `bindDragsend(IDynamicContentBindingObject value)`
    `BOXNode` | `bindDroprastertext(IDynamicContentBindingObject value)`
    `BOXNode` | `bindDropreceive(IDynamicContentBindingObject value)`
    `BOXNode` | `bindDropshape(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFlushreference(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFocussensitive(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `BOXNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `BOXNode` | `bindHeight(IDynamicContentBindingObject value)`
    `BOXNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `BOXNode` | `bindHotkeyisolation(IDynamicContentBindingObject value)`
    `BOXNode` | `bindInvokeevent(IDynamicContentBindingObject value)`
    `BOXNode` | `bindIswindowmover(IDynamicContentBindingObject value)`
    `BOXNode` | `bindKeysensitive(IDynamicContentBindingObject value)`
    `BOXNode` | `bindOpaque(IDynamicContentBindingObject value)`
    `BOXNode` | `bindPadding(IDynamicContentBindingObject value)`
    `BOXNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `BOXNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `BOXNode` | `bindRendered(IDynamicContentBindingObject value)`
    `BOXNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `BOXNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `BOXNode` | `bindRounding(IDynamicContentBindingObject value)`
    `BOXNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `BOXNode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `BOXNode` | `bindScale(IDynamicContentBindingObject value)`
    `BOXNode` | `bindShadow(IDynamicContentBindingObject value)`
    `BOXNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `BOXNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `BOXNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `BOXNode` | `bindWidth(IDynamicContentBindingObject value)`
    `BOXNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `BOXNode` | `bindX(IDynamicContentBindingObject value)`
    `BOXNode` | `bindY(IDynamicContentBindingObject value)`
    `BOXNode` | `setActionListener(java.lang.String value)`
    `BOXNode` | `setAdapterbinding(java.lang.String value)`
    `BOXNode` | `setAnimatechangeofsize(boolean value)`
    `BOXNode` | `setAnimatechangeofsize(java.lang.String value)`
    `BOXNode` | `setAttributemacro(java.lang.String value)`
    `BOXNode` | `setBackground(java.lang.String value)`
    `BOXNode` | `setBgpaint(java.lang.String value)`
    `BOXNode` | `setBorder(java.lang.String value)`
    `BOXNode` | `setCascaderenderedfalse(boolean value)`
    `BOXNode` | `setCascaderenderedfalse(java.lang.String value)`
    `BOXNode` | `setClientname(java.lang.String value)`
    `BOXNode` | `setColspan(int value)`
    `BOXNode` | `setColspan(java.lang.String value)`
    `BOXNode` | `setComment(java.lang.String value)`
    `BOXNode` | `setComponentbinding(java.lang.String value)`
    `BOXNode` | `setConfiginfo(java.lang.String value)`
    `BOXNode` | `setCutheight(boolean value)`
    `BOXNode` | `setCutheight(java.lang.String value)`
    `BOXNode` | `setCutwidth(boolean value)`
    `BOXNode` | `setCutwidth(java.lang.String value)`
    `BOXNode` | `setDragroundtrip(boolean value)`
    `BOXNode` | `setDragroundtrip(java.lang.String value)`
    `BOXNode` | `setDragsend(java.lang.String value)`
    `BOXNode` | `setDroprastertext(java.lang.String value)`
    `BOXNode` | `setDropreceive(java.lang.String value)`
    `BOXNode` | `setDropshape(java.lang.String value)`
    `BOXNode` | `setFlusharea(boolean value)`
    `BOXNode` | `setFlusharea(java.lang.String value)`
    `BOXNode` | `setFlushreference(java.lang.String value)`
    `BOXNode` | `setFocusable(boolean value)`
    `BOXNode` | `setFocusable(java.lang.String value)`
    `BOXNode` | `setFocusdrawborder(boolean value)`
    `BOXNode` | `setFocusdrawborder(java.lang.String value)`
    `BOXNode` | `setFocusnexthotkey(java.lang.String value)`
    `BOXNode` | `setFocusprevioushotkey(java.lang.String value)`
    `BOXNode` | `setFocussensitive(java.lang.String value)`
    `BOXNode` | `setFocussequence(java.lang.String value)`
    `BOXNode` | `setFxstyleseq(java.lang.String value)`
    `BOXNode` | `setHeight(int value)`
    `BOXNode` | `setHeight(java.lang.String value)`
    `BOXNode` | `setHelpid(java.lang.String value)`
    `BOXNode` | `setHotkeyisolation(boolean value)`
    `BOXNode` | `setHotkeyisolation(java.lang.String value)`
    `BOXNode` | `setId(java.lang.String value)`
    `BOXNode` | `setInvokeevent(java.lang.String value)`
    `BOXNode` | `setIswindowmover(boolean value)`
    `BOXNode` | `setIswindowmover(java.lang.String value)`
    `BOXNode` | `setKeysensitive(boolean value)`
    `BOXNode` | `setKeysensitive(java.lang.String value)`
    `BOXNode` | `setOpaque(boolean value)`
    `BOXNode` | `setOpaque(java.lang.String value)`
    `BOXNode` | `setPadding(java.lang.String value)`
    `BOXNode` | `setPopupmenu(java.lang.String value)`
    `BOXNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `BOXNode` | `setReference(java.lang.String value)`
    `BOXNode` | `setRendered(boolean value)`
    `BOXNode` | `setRendered(java.lang.String value)`
    `BOXNode` | `setRequestfocus(java.lang.String value)`
    `BOXNode` | `setRequestfocushotkey(java.lang.String value)`
    `BOXNode` | `setRounding(int value)`
    `BOXNode` | `setRounding(java.lang.String value)`
    `BOXNode` | `setRowalignmenty(java.lang.String value)`
    `BOXNode` | `setRowdistance(int value)`
    `BOXNode` | `setRowdistance(java.lang.String value)`
    `BOXNode` | `setScale(java.lang.String value)`
    `BOXNode` | `setShadow(java.lang.String value)`
    `BOXNode` | `setStyleseq(java.lang.String value)`
    `BOXNode` | `setStylevariant(java.lang.String value)`
    `BOXNode` | `setTooltip(java.lang.String value)`
    `BOXNode` | `setWidth(int value)`
    `BOXNode` | `setWidth(java.lang.String value)`
    `BOXNode` | `setWithfocusevent(boolean value)`
    `BOXNode` | `setWithfocusevent(java.lang.String value)`
    `BOXNode` | `setX(int value)`
    `BOXNode` | `setX(java.lang.String value)`
    `BOXNode` | `setY(int value)`
    `BOXNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BOXNode

          public BOXNode()

  - ### Method Detail

    - #### setId

          public BOXNode setId(java.lang.String value)

    - #### setActionListener

          public BOXNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public BOXNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public BOXNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public BOXNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public BOXNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public BOXNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public BOXNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public BOXNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public BOXNode setBackground(java.lang.String value)

    - #### bindBackground

          public BOXNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public BOXNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public BOXNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public BOXNode setBorder(java.lang.String value)

    - #### bindBorder

          public BOXNode bindBorder(IDynamicContentBindingObject value)

    - #### setCascaderenderedfalse

          public BOXNode setCascaderenderedfalse(java.lang.String value)

    - #### bindCascaderenderedfalse

          public BOXNode bindCascaderenderedfalse(IDynamicContentBindingObject value)

    - #### setCascaderenderedfalse

          public BOXNode setCascaderenderedfalse(boolean value)

    - #### setClientname

          public BOXNode setClientname(java.lang.String value)

    - #### bindClientname

          public BOXNode bindClientname(IDynamicContentBindingObject value)

    - #### setColspan

          public BOXNode setColspan(java.lang.String value)

    - #### bindColspan

          public BOXNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public BOXNode setColspan(int value)

    - #### setComment

          public BOXNode setComment(java.lang.String value)

    - #### bindComment

          public BOXNode bindComment(IDynamicContentBindingObject value)

    - #### setComponentbinding

          public BOXNode setComponentbinding(java.lang.String value)

    - #### setConfiginfo

          public BOXNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public BOXNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setCutheight

          public BOXNode setCutheight(java.lang.String value)

    - #### bindCutheight

          public BOXNode bindCutheight(IDynamicContentBindingObject value)

    - #### setCutheight

          public BOXNode setCutheight(boolean value)

    - #### setCutwidth

          public BOXNode setCutwidth(java.lang.String value)

    - #### bindCutwidth

          public BOXNode bindCutwidth(IDynamicContentBindingObject value)

    - #### setCutwidth

          public BOXNode setCutwidth(boolean value)

    - #### setDragroundtrip

          public BOXNode setDragroundtrip(java.lang.String value)

    - #### bindDragroundtrip

          public BOXNode bindDragroundtrip(IDynamicContentBindingObject value)

    - #### setDragroundtrip

          public BOXNode setDragroundtrip(boolean value)

    - #### setDragsend

          public BOXNode setDragsend(java.lang.String value)

    - #### bindDragsend

          public BOXNode bindDragsend(IDynamicContentBindingObject value)

    - #### setDroprastertext

          public BOXNode setDroprastertext(java.lang.String value)

    - #### bindDroprastertext

          public BOXNode bindDroprastertext(IDynamicContentBindingObject value)

    - #### setDropreceive

          public BOXNode setDropreceive(java.lang.String value)

    - #### bindDropreceive

          public BOXNode bindDropreceive(IDynamicContentBindingObject value)

    - #### setDropshape

          public BOXNode setDropshape(java.lang.String value)

    - #### bindDropshape

          public BOXNode bindDropshape(IDynamicContentBindingObject value)

    - #### setFlusharea

          public BOXNode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public BOXNode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public BOXNode setFlusharea(boolean value)

    - #### setFlushreference

          public BOXNode setFlushreference(java.lang.String value)

    - #### bindFlushreference

          public BOXNode bindFlushreference(IDynamicContentBindingObject value)

    - #### setFocusable

          public BOXNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public BOXNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public BOXNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public BOXNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public BOXNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public BOXNode setFocusdrawborder(boolean value)

    - #### setFocusnexthotkey

          public BOXNode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public BOXNode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public BOXNode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public BOXNode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussensitive

          public BOXNode setFocussensitive(java.lang.String value)

    - #### bindFocussensitive

          public BOXNode bindFocussensitive(IDynamicContentBindingObject value)

    - #### setFocussequence

          public BOXNode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public BOXNode bindFocussequence(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public BOXNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public BOXNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public BOXNode setHeight(java.lang.String value)

    - #### bindHeight

          public BOXNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public BOXNode setHeight(int value)

    - #### setHelpid

          public BOXNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public BOXNode bindHelpid(IDynamicContentBindingObject value)

    - #### setHotkeyisolation

          public BOXNode setHotkeyisolation(java.lang.String value)

    - #### bindHotkeyisolation

          public BOXNode bindHotkeyisolation(IDynamicContentBindingObject value)

    - #### setHotkeyisolation

          public BOXNode setHotkeyisolation(boolean value)

    - #### setInvokeevent

          public BOXNode setInvokeevent(java.lang.String value)

    - #### bindInvokeevent

          public BOXNode bindInvokeevent(IDynamicContentBindingObject value)

    - #### setIswindowmover

          public BOXNode setIswindowmover(java.lang.String value)

    - #### bindIswindowmover

          public BOXNode bindIswindowmover(IDynamicContentBindingObject value)

    - #### setIswindowmover

          public BOXNode setIswindowmover(boolean value)

    - #### setKeysensitive

          public BOXNode setKeysensitive(java.lang.String value)

    - #### bindKeysensitive

          public BOXNode bindKeysensitive(IDynamicContentBindingObject value)

    - #### setKeysensitive

          public BOXNode setKeysensitive(boolean value)

    - #### setOpaque

          public BOXNode setOpaque(java.lang.String value)

    - #### bindOpaque

          public BOXNode bindOpaque(IDynamicContentBindingObject value)

    - #### setOpaque

          public BOXNode setOpaque(boolean value)

    - #### setPadding

          public BOXNode setPadding(java.lang.String value)

    - #### bindPadding

          public BOXNode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public BOXNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public BOXNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public BOXNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public BOXNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public BOXNode setReference(java.lang.String value)

    - #### setRendered

          public BOXNode setRendered(java.lang.String value)

    - #### bindRendered

          public BOXNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public BOXNode setRendered(boolean value)

    - #### setRequestfocus

          public BOXNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public BOXNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public BOXNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public BOXNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public BOXNode setRounding(java.lang.String value)

    - #### bindRounding

          public BOXNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public BOXNode setRounding(int value)

    - #### setRowalignmenty

          public BOXNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public BOXNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setRowdistance

          public BOXNode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public BOXNode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public BOXNode setRowdistance(int value)

    - #### setScale

          public BOXNode setScale(java.lang.String value)

    - #### bindScale

          public BOXNode bindScale(IDynamicContentBindingObject value)

    - #### setShadow

          public BOXNode setShadow(java.lang.String value)

    - #### bindShadow

          public BOXNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public BOXNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public BOXNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public BOXNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public BOXNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTooltip

          public BOXNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public BOXNode bindTooltip(IDynamicContentBindingObject value)

    - #### setWidth

          public BOXNode setWidth(java.lang.String value)

    - #### bindWidth

          public BOXNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public BOXNode setWidth(int value)

    - #### setWithfocusevent

          public BOXNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public BOXNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public BOXNode setWithfocusevent(boolean value)

    - #### setX

          public BOXNode setX(java.lang.String value)

    - #### bindX

          public BOXNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public BOXNode setX(int value)

    - #### setY

          public BOXNode setY(java.lang.String value)

    - #### bindY

          public BOXNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public BOXNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.